Loading...
Searching...
No Matches
gsd_img_ppm.c File Reference

OGSF library - PPM stuff. More...

`#include <stdlib.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include <grass/ogsf.h>`
Include dependency graph for gsd_img_ppm.c:

Go to the source code of this file.

## Functions

int | GS_write_ppm (const char *name)
| Save current GL screen to ppm file.
int | GS_write_zoom (const char *name, unsigned int xsize, unsigned int ysize)
| Write zoom to file.

## Detailed Description

OGSF library - PPM stuff.

GRASS OpenGL gsurf OGSF Library

(C) 1999-2008 by the GRASS Development Team

- added little/big endian test Markus Neteler
- modified to PPM by Bob Covill bcovi.nosp@m.ll@t.nosp@m.ekmap.nosp@m..ns..nosp@m.ca
- changed 10/99 Jaro
- Created new function GS_write_ppm based on RGB dump

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Bill Brown USACERL, GMSL/University of Illinois
  Markus Neteler
  Bob Covill
  Jaro Hofierka
  Doxygenized by Martin Landa <landa.martin gmail.com> (May 2008)

Definition in file gsd_img_ppm.c.

## Function Documentation

## GS_write_ppm()

int GS_write_ppm | ( | const char * | name | ) |

Save current GL screen to ppm file.

Parameters

  name | file name

Returns
  1 on failure
  0 on success

Definition at line 41 of file gsd_img_ppm.c.

References b, g, G_free(), G_warning(), gsd_getimage(), name, NULL, r, and x.

## GS_write_zoom()

int GS_write_zoom | ( | const char * | name,
|  | unsigned int | xsize,
|  | unsigned int | ysize )

Write zoom to file.

Parameters

  name | file name
  xsize,ysize |

Returns
  1 on failure
  0 on success

Definition at line 87 of file gsd_img_ppm.c.

References b, g, G_warning(), gsd_writeView(), name, NULL, r, and x.